using System;

namespace VCommon.VApplication.Linq.Expressions.Dynamic
{
    public sealed class ParseException : Exception
    {
        public ParseException(string message, int position) : base(message) => Position = position;

        public int Position { get; }

        public override string ToString() => string.Format(Res.ParseExceptionFormat, Message, Position);
    }
}